# Class VulkanVertexInputBindingDescription.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanVertexInputBindingDescription.Builder

Enclosing class:
  `VulkanVertexInputBindingDescription`

public static final class VulkanVertexInputBindingDescription.Builder extends Object
Builds instances of type `VulkanVertexInputBindingDescription`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanVertexInputBindingDescription`
  `build()`
  Builds a new `VulkanVertexInputBindingDescription`.
  `final VulkanVertexInputBindingDescription.Builder`
  `from(VulkanVertexInputBindingDescriptionType instance)`
  Fill a builder with attribute values from the provided `VulkanVertexInputBindingDescriptionType` instance.
  `final VulkanVertexInputBindingDescription.Builder`
  `setBinding(int binding)`
  Initializes the value for the `binding` attribute.
  `final VulkanVertexInputBindingDescription.Builder`
  `setInputRate(VulkanVertexInputRate inputRate)`
  Initializes the value for the `inputRate` attribute.
  `final VulkanVertexInputBindingDescription.Builder`
  `setStride(int stride)`
  Initializes the value for the `stride` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanVertexInputBindingDescription.Builder from(VulkanVertexInputBindingDescriptionType instance)
    Fill a builder with attribute values from the provided `VulkanVertexInputBindingDescriptionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setBinding

    public final VulkanVertexInputBindingDescription.Builder setBinding(int binding)
    Initializes the value for the `binding` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `binding`.

    Parameters:
      `binding` - The value for binding
    Returns:
      `this` builder for use in a chained invocation

  - ### setStride

    public final VulkanVertexInputBindingDescription.Builder setStride(int stride)
    Initializes the value for the `stride` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `stride`.

    Parameters:
      `stride` - The value for stride
    Returns:
      `this` builder for use in a chained invocation

  - ### setInputRate

    public final VulkanVertexInputBindingDescription.Builder setInputRate(VulkanVertexInputRate inputRate)
    Initializes the value for the `inputRate` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `inputRate`.

    Parameters:
      `inputRate` - The value for inputRate
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanVertexInputBindingDescription build()
    Builds a new `VulkanVertexInputBindingDescription`.
    Returns:
      An immutable instance of VulkanVertexInputBindingDescription
    Throws:
      `IllegalStateException` - if any required attributes are missing